%ifarch ppc ppc64
%define __arch		ppc
%else
%define __arch		i386
%endif

Summary: ROOT
Name: root
Version: 5.30.00
Release: 10.6%{?dist}1a
Source0: localhost:/%{name}_v%{version}-macosx10.6-%{__arch}.tar.gz
NoSource: 0
URL: http://wwwasd.web.cern.ch/wwwasd/cernlib/
Group: Development/Libraries
License: LGPL
%define __prefix	/opt/root
Prefix: %{__prefix}
BuildRoot: %{_tmppath}/%{name}-root

Provides: climits.dll
Provides: complex.dll
Provides: deque.dll
Provides: exception.dll
Provides: ipc.dll
Provides: list.dll
Provides: map.dll
Provides: map2.dll
Provides: multimap.dll
Provides: multimap2.dll
Provides: multiset.dll
Provides: posix.dll
Provides: queue.dll
Provides: set.dll
Provides: stack.dll
Provides: stdcxxfunc.dll
Provides: stdexcept.dll
Provides: stdfunc.dll
Provides: valarray.dll
Provides: vector.dll
Provides: vectorbool.dll

%description
The ROOT system provides a set of OO frameworks with all the functionality needed to handle
and analyse large amounts of data in a very efficient way. Having the data defined as a set 
of objects, specialised storage methods are used to get direct access to the separate 
attributes of the selected objects, without having to touch the bulk of the data. Included 
are histograming methods in 1, 2 and 3 dimensions, curve fitting, function evaluation, 
minimisation, graphics and visualization classes to allow the easy setup of an analysis 
system that can query and process the data interactively or in batch mode.

Thanks to the builtin CINT C++ interpreter the command language, the scripting, or macro, 
language and the programming language are all C++. The interpreter allows for fast prototyping 
of the macros since it removes the time consuming compile/link cycle. It also provides a good 
environment to learn C++. If more performance is needed the interactively developed macros 
can be compiled using a C++ compiler.

The system has been designed in such a way that it can query its databases in parallel on MPP 
machines or on clusters of workstations or high-end PC's. ROOT is an open system that can be 
dynamically extended by linking external libraries. This makes ROOT a premier platform on 
which to build data acquisition, simulation and data analysis systems.

%prep
#%setup -c %{name}-%{release}
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}

%install
tar -zpxvf $RPM_SOURCE_DIR/%{name}_v%{version}-macosx10.6-%{__arch}.tar.gz -C $RPM_BUILD_ROOT%{__prefix}
find $RPM_BUILD_ROOT -type d | sed -e "s;$RPM_BUILD_ROOT;%dir ;" \
			     | grep -ve '^%dir %{__prefix}$' \
			     | grep -ve '^%dir /[^/]*$'  \
			     | grep -ve '^%dir $' > list.f
find $RPM_BUILD_ROOT -type f | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f
find $RPM_BUILD_ROOT -type l | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jul 13 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 5.30.00-10.6hepx1a
- 1st release on MacOS X 10.6.

* Thu May 19 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 5.28.00d-10.6hepx1a
- 1st release on MacOS X 10.6.

* Wed Mar 2 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 5.28.00a-10.6hepx1a
- 1st release on MacOS X 10.6.

* Thu Jan 27 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 5.28.00-10.6hepx1b
- 2nd release on MacOS X 10.6.
- Added GDML support.

* Wed Jan 26 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 5.28.00-10.6hepx1a
- 1st release on MacOS X 10.6.

* Sat Dec 04 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 5.27.06b-10.6hepx1a
- 1st release on MacOS X 10.6.

* Sat Dec 04 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 5.26.00d-10.6hepx1b
- 2nd release on MacOS X 10.6.
- Addd GDML support.

* Thu Sep 09 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 5.26.00d-10.6hepx1a
- 1st release on MacOS X 10.6.

* Sun May 09 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 5.26.00b-10.6hepx1a
- 1st release on MacOS X 10.6.

* Mon Mar 08 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 5.26.00a-10.6hepx1b
- 2nd release on MacOS X 10.6.
- Added map.so to Provides:

* Mon Mar 08 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 5.26.00a-10.6hepx1a
- 1st release on MacOS X 10.6.

* Fri Mar 20 2009 Keisuke Fujii <keisuke.fujii@kek.jp> 5.22.00a-10.5hepx1a
- 1st release on MacOS X 10.5.

* Sat Mar 14 2009 Keisuke Fujii <keisuke.fujii@kek.jp> 5.22.00-10.5hepx1b
- 2nd release on MacOS X 10.5.
- Fixed install_name of libPythia6.so to use @rpath

* Thu Jan 15 2009 Keisuke Fujii <keisuke.fujii@kek.jp> 5.22.00-10.5hepx1a
- 1st release on MacOS X 10.5.

* Tue Sep 23 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 5.21.02-10.5hepx1a
- 1st release on MacOS X 10.5.

* Tue Aug 19 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 5.20.00-10.5hepx1b
- 2nd release on MacOS X 10.5.
- with fftw3 support.

* Thu Jul  3 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 5.20.00-10.5hepx1a
- 1st release on MacOS X 10.5 for Intel Macs.

* Mon Jun  9 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 5.19.04-10.5hepx1a
- 1st release on MacOS X 10.5 for Intel Macs.

* Thu Mar 27 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 5.19.02-10.5hepx1b
- 1st release on MacOS X 10.5 for PPC Macs.

* Wed Mar 26 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 5.19.02-10.5hepx1a
- 1st release on MacOS X 10.5 for Intel Macs.

%files -f list.f
%defattr(-,root,wheel)
